# EKFfull Class Reference

Extended Kalman Filter in full matrices. More...

`#include <libKF.h>`

Inheritance diagram for EKFfull:

[legend]
Collaboration diagram for EKFfull:

[legend]

List of all members.

## Public Member Functions
| EKFfull (RV rvx, RV rvy, RV rvu)
| Default constructor.
void | set_parameters (diffbifn *pfxu, diffbifn *phxu, const mat Q0, const mat R0)
| Set nonlinear functions for mean values and covariance matrices.
void | bayes (const vec &dt)
| Here dt = [yt;ut] of appropriate dimensions.
void | set_est (vec mu0, mat P0)
| set estimates
const epdf & | _epdf () const
| dummy!
const enorm< fsqmat > * | _e () const
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
const mat | _R ()
virtual void | bayesB (const mat &Dt)
| Batch Bayes rule (columns of Dt are observations).
virtual double | logpred (const vec &dt) const
vec | logpred_m (const mat &dt) const
| Matrix version of logpred.
virtual epdf * | predictor (const RV &rv) const
| Constructs a predictive density (marginal density on data).
const RV & | _rv () const
| access function
double | _ll () const
| access function
void | set_evalll (bool evl0)
| access function
virtual BM * | _copy_ (bool changerv=false)
## Public Attributes
vec | mu
| Mean value of the posterior density.
mat | P
| Variance of the posterior density.
bool | evalll
double | ll
## Protected Attributes
int | dimx
int | dimy
int | dimu
mat | A
mat | B
mat | C
mat | D
mat | R
mat | Q
mat | _Pp
mat | _Ry
mat | _iRy
mat | _K
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save computational time.
## Friends
std::ostream & | operator<< (std::ostream &os, const KalmanFull &kf)
| print elements of KF

## Detailed Description

Extended Kalman Filter in full matrices.

An approximation of the exact Bayesian filter with Gaussian noices and non-linear evolutions of their mean.

## Member Function Documentation

virtual double BM::logpred | ( | const vec & | dt | ) | const`[inline, virtual, inherited]`

Evaluates predictive log-likelihood of the given data record I.e. marginal likelihood of the data with the posterior integrated out.

Reimplemented in ARX, MixEF, and multiBM.

Referenced by BM::logpred_m().

virtual BM* BM::_copy_ | ( | bool | changerv = `false` | ) | `[inline, virtual, inherited]`

Copy function required in vectors, Arrays of BM etc. Have to be DELETED manually! Prototype: BM* _copy_(){BM Tmp*=new Tmp(this*); return Tmp; }

Reimplemented in ARX, and BMEF.

The documentation for this class was generated from the following files:

- work/git/mixpp/bdm/estim/libKF.h
- work/git/mixpp/bdm/estim/libKF.cpp